/* -- Stylesheet fuer duesselsprinter.de ------ */
/* -- Zusaetzliche Festlegungen fuer 'Sudoku' - */
/* -- Version: 3.0.4-1  23.03.2024    --------- */
/* -- Autor: Lothar Soens             --------- */

/* -- Tabelle SudokuApp -------- */
/* -- darin: Panel = 9x9-Matrix  */
/* --        Button-Leiste       */
/* --        Message-Info        */
/* -- Pixel-Größen: Vorrang für mobil-Gerät! -- */
input[type=number] {
	appearance: textfield;
	-moz-appearance: textfield;
	/* Firefox */
}

table#SudokuApp {
	width: 100%;
	max-width: 360px;
	table-layout: fixed;
	border: none;
	margin: 0;
	padding: 0;
	border-collapse: collapse;
	vertical-align: middle;
	text-align: center;
}

td.S_cell {
	height: auto;
	border: 1px solid black;
	border-collapse: collapse;
	/* margin: 0; */
	padding: 0;
	background-color: #FFFFE0;
	/* lightyellow; */
}

td.S_celll {
	border-left: 3px solid maroon;
}

td.S_cellr {
	border-right: 3px solid maroon;
}

td.S_cello {
	border-top: 3px solid maroon;
}

td.S_cellu {
	border-bottom: 3px solid maroon;
}

td.S_leiste {
	border: 3px solid maroon;
	background-color: #FFE4B5;
	/* moccasin; */
}

td.S_message {
	margin: 0;
	padding: 1.0em 0.5em;
	text-align: left;
	border: 3px solid maroon;
	background-color: #FFFFE0;
	/* lightyellow; */
}

input.S_cell {
	border: none;
	width: 18px;
	margin: 0;
	text-align: center;
	font-size: 1.2em;
	font-weight: bold;
	background-color: #FFFFE0;
	/* lightyellow; */
	appearance: none;
	-webkit-appearance: none;
	-moz-appearance: textfield;
}

input.S_button {
	width: 18%;
	padding: 0;
	margin: 0;
}

input.S_bgred {
	background-color: #FFC0CB;
}

/* pink; */

/* -------- Textinhalte Modifikationen ------- */
div.S_info {
	font-size: 0.9em;
	border-collapse: separate;
}

div.S_help {
	font-size: 0.9em;
}

/* -------- Elementklassen ------------------- */
.S_logoxxx {
	padding: 0.5em;
	margin: 0.5em 0;
	font-weight: bold;
	font-size: 1.0em;
	background-color: #FFFFE0;
	/* lightyellow; */
}
